> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List faculty activities for a profile

> Returns a list of faculty activities



## OpenAPI

````yaml /openapi.json get /api/v1/profiles/{profile_id}/faculty_activities
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/profiles/{profile_id}/faculty_activities:
    parameters:
      - name: profile_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Faculty Activities
      summary: List faculty activities for a profile
      description: Returns a list of faculty activities
      operationId: listProfileFacultyActivities
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: 'Comma-separated list of relationships to include. Allowed: `profile`'
          schema:
            type: string
        - name: sort
          in: query
          required: false
          description: >-
            Sort order. Prefix with `-` for descending. Allowed: `created_at`,
            `updated_at`, `featured_at`, `id`, `start_date`
          schema:
            type: string
        - name: filter[key]
          in: query
          required: false
          description: >-
            Filter results. Available filters: `key`, `external_id`,
            `external_id.neq`, `external_id.cont` (case-insensitive substring
            match), `external_id.in` (comma-separated list), `external_id.nin`
            (comma-separated list), `start_date`, `start_date.neq`,
            `start_date.lt`, `start_date.lte`, `start_date.gt`,
            `start_date.gte`, `end_date`, `end_date.neq`, `end_date.lt`,
            `end_date.lte`, `end_date.gt`, `end_date.gte`, `profile`.
          schema:
            type: string
        - name: page[size]
          in: query
          required: false
          description: Number of items per page (max 100)
          schema:
            type: integer
        - name: page[after]
          in: query
          required: false
          description: Cursor for next page
          schema:
            type: string
        - name: page[before]
          in: query
          required: false
          description: Cursor for previous page
          schema:
            type: string
      responses:
        '200':
          description: faculty activities found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/FacultyActivity'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
                  links:
                    $ref: '#/components/schemas/PaginationLinks'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    FacultyActivity:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: faculty_activity
          example: faculty_activity
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            key:
              type:
                - string
                - 'null'
              description: >-
                This key links the faculty activity to its
                faculty_activity_configuration
            external_id:
              type:
                - string
                - 'null'
              description: >-
                An optional external identifier for the activity, such as an ID
                from an external system. We highly recommend setting this value
                if this resource is being synchronized from an external system,
                as it will help prevent duplicate entries when syncing data.
            featured:
              type:
                - boolean
                - 'null'
            start_date:
              type:
                - string
                - 'null'
              format: date
            end_date:
              type:
                - string
                - 'null'
              format: date
            properties:
              type:
                - object
                - 'null'
            calculated_properties:
              type:
                - object
                - 'null'
        relationships:
          type: object
          properties:
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    PaginationMeta:
      type: object
      properties:
        page:
          type: object
          properties:
            size:
              type: integer
        total:
          type: integer
    PaginationLinks:
      type: object
      properties:
        self:
          type: string
        first:
          type: string
        next:
          type:
            - string
            - 'null'
        prev:
          type:
            - string
            - 'null'
        last:
          type:
            - string
            - 'null'
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````